1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.
  2. Two Factor Authentication is now available on BeyondUnreal Forums. To configure it, visit your Profile and look for the "Two Step Verification" option on the left side. We can send codes via email (may be slower) or you can set up any TOTP Authenticator app on your phone (Authy, Google Authenticator, etc) to deliver codes. It is highly recommended that you configure this to keep your account safe.

ERROR with INF 2.9 on MAC

Discussion in 'Troubleshooting' started by ZIRB, Dec 2, 2003.

  1. ZIRB

    ZIRB Inhuman

    Joined:
    Feb 24, 2001
    Messages:
    482
    Likes Received:
    0
    What's this?
     
  2. kuran

    kuran New Member

    Joined:
    Sep 30, 2002
    Messages:
    35
    Likes Received:
    0
    I get a 'can't find file for package: windrv' error. Running UTXb3 in OS10.3.1

    Clean install of UT, updated to 436 and with bonus packs.

    I guess we're stuck with this half-finished alpha port of UT in OSX until Ryan Gordon releases his port..

    Could someone that has it running for them in OSX please upload his/hers .ini?
     
  3. ZIRB

    ZIRB Inhuman

    Joined:
    Feb 24, 2001
    Messages:
    482
    Likes Received:
    0
    I run Mac OS 9...

    I have now updated QuickTime, Apple Displays and
    OpenGL just to be sure but it doesn't help.

    The log speaks about "...OpenALAudioSubsystem..."... Perhaps I need to update something more than Quicktime that have to do with the sound system...
     
  4. kuran

    kuran New Member

    Joined:
    Sep 30, 2002
    Messages:
    35
    Likes Received:
    0
    OpenAL is what UTX uses for its audio engine, this is different in OS9.

    Perhaps your OS9 INF is accidentally using the OSX .ini?
     
  5. ZIRB

    ZIRB Inhuman

    Joined:
    Feb 24, 2001
    Messages:
    482
    Likes Received:
    0
    Don't know... The thing is that the error occurs after the whole start process seems to be finished.. Right before the "game control panel" should show up... :(
     
    Last edited: Dec 2, 2003
  6. Nanodragon

    Nanodragon I love you Lord Daftwager

    Joined:
    Feb 24, 2001
    Messages:
    33
    Likes Received:
    0
    You have to use the Galaxy audio system in OS9....just change it in the Infiltration.ini file (first few lines) and everything should be fine (except for the missing MINIMI and AKMSU sounds of course)

    Hope this helps

     
  7. Crowze

    Crowze Bird Brain

    Joined:
    Feb 6, 2002
    Messages:
    3,556
    Likes Received:
    1
    Check the common problems thread, I've updated it with something that may help.
     
  8. kuran

    kuran New Member

    Joined:
    Sep 30, 2002
    Messages:
    35
    Likes Received:
    0
    Crowze, could you please email me your InfiltrationX.ini? :)

    kuran at pandora.be
     
  9. [SOB]bAd ChIcKeN

    [SOB]bAd ChIcKeN Free-Range Pain the Ass

    Joined:
    Feb 6, 2001
    Messages:
    266
    Likes Received:
    0
    Sent mine to ya
     
  10. kuran

    kuran New Member

    Joined:
    Sep 30, 2002
    Messages:
    35
    Likes Received:
    0
    Thanks, bad chicken!

    Unfortunately this gives me the same error. Very annoying. I'm sure this is something easily fixed... :(
     
  11. ZIRB

    ZIRB Inhuman

    Joined:
    Feb 24, 2001
    Messages:
    482
    Likes Received:
    0
    It works now. Thanks all!
     
  12. Tycho Maudd

    Tycho Maudd New Member

    Joined:
    Dec 2, 2003
    Messages:
    14
    Likes Received:
    0
    Open the INF_Laucher_OS9 apple script in Script Editor (should be in the Apple Extras folder in OS9 or in the Application folder under OSX) and change the line:
    Code:
    tell application "Unreal Tournament  OS X"
    to
    Code:
    tell application "Unreal Tournament"
    This should fix your problem if you have been using this to start infiltration.
     
    Last edited: Dec 2, 2003
  13. datasurge

    datasurge New Member

    Joined:
    Dec 14, 2000
    Messages:
    11
    Likes Received:
    0
    OS X Startup problem with 2.9

    Hi all, it's great to be back and it's GREAT to finally have 2.9 but it won't run on my machine. I am running OS X 10.3.1 on a 1Ghz PowerBook with 64MB RAM with a clean "game of the year (436)" installation. I get this when I try to run (opening the OS X launcher), after the 'linking all objects' sequence has started:

    'Assertion failed: RevDev [File: MacViewport.cpp] [Line: 547]:'

    Any ideas?...
     
  14. Tycho Maudd

    Tycho Maudd New Member

    Joined:
    Dec 2, 2003
    Messages:
    14
    Likes Received:
    0
    This could be caused by the laucher starting the wrong copy of UT if you have more then one copy of UT installed. I don't know how to fix this short of deleting the non-INF copy of UT.

    Or it could be caused by UT not starting up if fullscreen mode (if this is your first time running this copy of UT, this shouldn't be the problem). To fix this you would set "StartupFullscreen" to true in the InfiltrationX.ini under "[MacDrv.MacClient]".
     
  15. kuran

    kuran New Member

    Joined:
    Sep 30, 2002
    Messages:
    35
    Likes Received:
    0
    Any fix on the windrv issue? Its driving me insane. And I can't just reinstall UT since I can't boot in OS9...
     
  16. ovw

    ovw New Member

    Joined:
    Oct 18, 2000
    Messages:
    148
    Likes Received:
    0
    .exe files...on a mac cd?

    Hey, this is great(!) I just go my cd today!

    But I was just wondering if I got the wrong disk...Do any of you other macusers have executeable files on your disk? Or do you have one of those clever mac installers?

    OVW
     
  17. Tycho Maudd

    Tycho Maudd New Member

    Joined:
    Dec 2, 2003
    Messages:
    14
    Likes Received:
    0
    Well, you could get the game of the year edition of UT. That installs v436 fine through classic (I did so myself). Other then that, you might be able to use Basilisk II to emulate a "real" copy of OS9(and not just the classic enviroment), and try to install UT and the update thought that, but I'm not too sure about that. http://emulation.net/macintosh/ should have links to the MacOSX version of Basilisk II and information on how to set it up if you plan on trying that.

    PS You only need to installed the v436 patch in OS9

    edit: updated link and fixed a type
     
    Last edited: Dec 2, 2003
  18. kuran

    kuran New Member

    Joined:
    Sep 30, 2002
    Messages:
    35
    Likes Received:
    0
    Windrv issue fixed!

    M3d3v1l had the same problem as I had, but managed to solve it!

    The problem was caused because we both had two folders with Unreal Tournament installed, as we had a seperate install of Tactical Ops.

    The INF launcher became confused by this, and tried to use the wrong Application. Once I removed TO and did a clean install, it worked again!
     
  19. ZIRB

    ZIRB Inhuman

    Joined:
    Feb 24, 2001
    Messages:
    482
    Likes Received:
    0
    I have INF 286 still installed and installed 289 in another UT-folder. To not confuse the INF-launcher I have only ONE UnrealTournament application that I move to the UT-folder where the INF-versions is that I wanna run for the moment (I havefriends with 286 that I wanna be able to play with). I dont know if it's possible to move applications on a PC this way! :)
     
    Last edited: Dec 4, 2003
  20. Crowze

    Crowze Bird Brain

    Joined:
    Feb 6, 2002
    Messages:
    3,556
    Likes Received:
    1
    Give 2.9 to your friends.
     

Share This Page